﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectTourismCompany.Entities;

public class Check
{
    public int Id { get; private set; }
    public string Title { get; private set; } = string.Empty;
    public DateTime PurchaseDate {  get; private set; }
    public int Price { get; private set; }
    public int TripId { get; private set; }
    public int ClientId {  get; private set; }
    public static Check CreateCheck(int id, string title, DateTime purchaseDate, int price,  int tripId, int clientId)
    {
        return new Check() { Id = id, Title = title, PurchaseDate = purchaseDate, Price = price, TripId = tripId, ClientId = clientId };
    }       
}
